Index: gnu/usr.bin/perl/Porting/epigraphs.pod
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/epigraphs.pod,v
retrieving revision 1.12
diff -u -p -a -u -p -r1.12 epigraphs.pod
--- gnu/usr.bin/perl/Porting/epigraphs.pod	15 Feb 2023 01:36:14 -0000	1.12
+++ gnu/usr.bin/perl/Porting/epigraphs.pod	21 May 2023 00:39:33 -0000
@@ -17,6 +17,185 @@ Consult your favorite dictionary for det
 
 =head1 EPIGRAPHS
 
+=head2 v5.37.11 - Ben Aaronovitch, "Moon Over Soho"
+
+L<Announced on 2023-04-20 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2023/04/msg266242.html>
+
+My dad always said that a trumpet player likes to aim his weapon at the
+audience, but a sax man likes to cut a good profile and that they always
+have a favourite side.  It being an article of faith with my dad that
+you don't even pick up a reed instrument unless you're vain about the
+shape your face makes when you're blowing down it.
+
+=head2 v5.37.10 - Lewis Carroll "The Walrus and the Carpenter"
+
+L<Announced on 2023-03-21 by Yves Orton|https://www.nntp.perl.org/group/perl.perl5.porters/2023/03/msg266078.html>
+
+    The time has come,' the Walrus said,
+          To talk of many things:
+    Of shoes - and ships - and sealing-wax -
+          Of cabbages - and kings -
+    And why the sea is boiling hot -
+          And whether pigs have wings.'
+
+=head2 v5.37.9 - Virginia Woolf
+
+L<Announced on 2023-02-20 by Karen Etheridge|https://www.nntp.perl.org/group/perl.perl5.porters/2023/02/msg265769.html>
+
+Each has his past shut in him like the leaves of a book known to him by
+heart and his friends can only read the title.
+
+=head2 v5.37.8 - Helmut Schmidt
+
+L<Announced on 2023-01-20 by Renee Baecker|https://www.nntp.perl.org/group/perl.perl5.porters/2023/01/msg265547.html>
+
+Honesty doesn't require saying everything you think. Honesty only
+requires that you don't say anything that you don't think.
+
+=head2 v5.37.7 - Terry Pratchett, "Hogfather"
+
+L<Announced on 2022-12-20 by Richard Leach|https://www.nntp.perl.org/group/perl.perl5.porters/2022/12/msg265263.html>
+
+TO THE HOGFATHER, ALL PORK PIES ARE AS ONE PORK PIE.
+EXCEPT THE ONE LIKE A TURNIP.
+
+=head2 v5.37.6 - N. K. Jemisin - The City We Became
+
+L<Announced on 2022-11-20 by Max Maischein|https://www.nntp.perl.org/group/perl.perl5.porters/2022/11/msg265080.html>
+
+Queens sighs with the air of someone who is used to not being
+understood. She takes out her phone and starts texting someone,
+her bottom lip poked out a little.
+
+Brooklyn's expression turns grim. To Broca she says, "You said
+becoming a city punches through other universes."
+So she's not stupid. Bronca inclined her head to the woman, in
+respect if not in approval. "Yes".
+
+"Okay, so." Brooklyn visibly braces herself. "So what
+happens to those universes that our city punches through?"
+
+                      The City We Became - N.K. Jemisin
+
+=head2 v5.37.5 - Nori - The Lord of the Rings: The Rings of Power
+
+L<Announced on 2022-10-20 by Todd Rinaldo|https://www.nntp.perl.org/group/perl.perl5.porters/2022/10/msg264959.html>
+
+If we didn't do everything we weren't supposed to, we'd hardly do
+anything at all.
+
+=head2 v5.37.4 - C. F. Kettering
+
+L<Announced on 2022-09-20 by Karen Etheridge|https://www.nntp.perl.org/group/perl.perl5.porters/2022/09/msg264815.html>
+
+A problem well stated is a problem half solved.
+
+=head2 v5.37.3 - John Steinbeck, "East of Eden"
+
+L<Announced on 2022-08-20 by Neil B|https://www.nntp.perl.org/group/perl.perl5.porters/2022/08/msg264651.html>
+
+And now that you don't have to be perfect, you can be good.
+
+=head2 v5.37.2 - James Clear, "Atomic Habits"
+
+L<Announced on 2022-07-20 by Nicolas R.|https://www.nntp.perl.org/group/perl.perl5.porters/2022/07/msg264438.html>
+
+If you can get one percent better each day for one year,
+you'll end up thiry-seven times better by the time you are done
+
+=head2 v5.37.1 - Squirt, "Finding Nemo"
+
+L<Announced on 2022-06-20 by Matthew Horsfall|https://www.nntp.perl.org/group/perl.perl5.porters/2022/06/msg264107.html>
+
+Good afternoon! We're gonna have a great jump today!
+Okay, crank a hard cutback as you hit the wall.
+There's a screaming bottom curve, so watch out.
+Remember: Rip it! Roll it! And punch it!
+
+=head2 v5.37.0 - John Cage, "Lecture on Nothing"
+
+L<Announced on 2022-05-27 by Ricardo Signes|https://www.nntp.perl.org/group/perl.perl5.porters/2022/05/msg263786.html>
+
+I have nothing to say, and I am saying it.
+
+=head2 v5.36.1-RC3 - Karl Leimer & Walter Gieseking, trans. Frederick C. Rauser, "Rhythmics, Dynamics, Pedal and Other Problems of Piano Playing"
+
+L<Announced on 2023-04-16 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2023/04/msg266232.html>
+
+Generally, no clear opinions exist as to the usefulness of mental work
+in order to acquire a good technique.  We do not seem to know exactly
+what it means or how to develop technique through "brain work."
+Technique, when playing an instrument, means controlling the fingers.
+Generally, it is used only in a limited sense regarding fluency, rapid
+execution of difficult passages and steady aim.
+In order to acquire a perfect technique through brain work, an exact
+impression of the note picture upon the mind is the first problem which
+we must solve.  Thereafter we should busy ourselves with the study in
+question, as to fingering, touch, note value, etc., to achieve
+perfection along these lines in the broadest sense.  This occurs
+quickest and completely through intensive concentration of all
+intellectual powers and is, therefore, strenuous brain work.
+
+=head2 v5.36.1-RC2 - Karl Leimer & Walter Gieseking, "The Shortest Way to Pianistic Perfection"
+
+L<Announced on 2023-04-11 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2023/04/msg266203.html>
+
+In order to attain a natural manner of playing the piano, that is to
+say, with the least possible strain and exertion, it is of the utmost
+importance to learn to exert the muscles consciously, and, what is of
+still greater importance, to relax them consciously.  My manner of
+accomplishing this differs from that of many other pedagogues.  I
+contrive to raise a feeling of relaxation from within, as it were. This
+is generally attempted by the aid of visible movements.  All superfluous
+movements are injurious.  The aim should be the very least possible
+strain of the muscles when playing the piano.
+
+=head2 v5.36.1-RC1 - Josef Lhevinne, "Basic Principles in Pianoforte Playing"
+
+L<Announced on 2023-04-10 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2023/04/msg266184.html>
+
+Avoid worry and distractions of any kind when you are practicing.  Your
+mind must be every minute on what you are doing, or the value of your
+practice is lessened enormously.  By intense concentration, love of your
+work and the spirit in which you approach it, you can do more in a half
+hour than in an hour spent purposelessly.  Do not think you have been
+practicing, if you have played a single note with your mind on anything
+else.
+
+=head2 v5.36.0 - Alexandre Dumas, "The Three Musketeers"
+
+L<Announced on 2022-05-27 by Ricardo Signes|https://www.nntp.perl.org/group/perl.perl5.porters/2022/05/msg263783.html>
+
+“What!" cried he, in an accent of greater astonishment than before "your second
+witness is Monsieur Aramis?"
+
+"Doubtless! Are you not aware that we are never seen one without the others,
+and that we are called among the Musketeers and the Guards, at the court and in
+the city, Athos, Porthos, and Aramis, or the Three Inseparables?”
+
+=head2 v5.36.0-RC3 - The Three Amigos
+
+L<Announced on 2022-05-22 by Ricardo Signes|https://www.nntp.perl.org/group/perl.perl5.porters/2022/05/msg263750.html>
+
+  Lucky Day:  I'll come back one day
+  Carmen:     Why?
+    — The Three Amigos
+
+=head2 v5.36.0-RC1 - The Three Amigos
+
+L<Announced on 2022-05-20 by Ricardo Signes|https://www.nntp.perl.org/group/perl.perl5.porters/2022/05/msg263728.html>
+
+  Jefe:     I have put many beautiful piñatas in the storeroom, each of them filled
+            with little surprises.
+  El Guapo: Many piñatas?
+  Jefe:     Oh yes, many!
+  El Guapo: Would you say I have a plethora of piñatas?
+  Jefe:     A what?
+  El Guapo: A plethora.
+  Jefe:     Oh yes, you have a plethora.
+
+    — The Three Amigos
+
 =head2 v5.35.11 - Marcel Allain and Pierre Souvestre, "Fantômas"
 
 L<Announced on 2022-04-20 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2022/04/msg263644.html>
Index: gnu/usr.bin/perl/Porting/make-rmg-checklist
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/make-rmg-checklist,v
retrieving revision 1.1.1.2
diff -u -p -a -u -p -r1.1.1.2 make-rmg-checklist
--- gnu/usr.bin/perl/Porting/make-rmg-checklist	13 Feb 2019 21:11:40 -0000	1.1.1.2
+++ gnu/usr.bin/perl/Porting/make-rmg-checklist	21 May 2023 00:39:33 -0000
@@ -146,6 +146,13 @@ my ( @items, $current_element, @leading_
 my $skip_headers     = qr/^=encoding/xms;
 my $passthru_headers = qr/^= (?: over | item | back | cut )/xms;
 
+# version used when generating diffs (acknowledgements, Module::CoreList etc)
+# 5.36.0 -> 5.34.0
+# 5.36.1 -> 5.36.0
+my ($major, $minor, $point) = split(/\./, $version);
+my $last_version = join('.', $major, ($point == 0 ? ($minor - 2, 0) : ($minor, $point-1)));
+
+
 foreach my $line (@pod_lines) {
     $line =~ $skip_headers
         and next;
@@ -178,6 +185,10 @@ foreach my $line (@pod_lines) {
         or length $line == 0 # allow empty lines
         or $line =~ /^[^=]/xms
         or die "Cannot recognize line: '$line'\n";
+
+    $line =~ s/\Q5.X.Y\E/$version/g;
+    $line =~ s/\Q5.LAST\E/$last_version/g;
+    $line =~ s/\Q5.X\E-b/$major.$minor/g;
 
     $current_element->{'content'} .= "\n" . $line;
 }
Index: gnu/usr.bin/perl/Porting/perldelta_template.pod
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/perldelta_template.pod,v
retrieving revision 1.11
diff -u -p -a -u -p -r1.11 perldelta_template.pod
--- gnu/usr.bin/perl/Porting/perldelta_template.pod	15 Feb 2023 01:36:14 -0000	1.11
+++ gnu/usr.bin/perl/Porting/perldelta_template.pod	21 May 2023 00:39:33 -0000
@@ -403,7 +403,7 @@ died, add a short obituary here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.36.0..HEAD
+  perl Porting/acknowledgements.pl v5.36.1..HEAD
 
 =head1 Reporting Bugs
 
Index: gnu/usr.bin/perl/Porting/release_managers_guide.pod
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/release_managers_guide.pod,v
retrieving revision 1.10
diff -u -p -a -u -p -r1.10 release_managers_guide.pod
--- gnu/usr.bin/perl/Porting/release_managers_guide.pod	15 Feb 2023 01:36:14 -0000	1.10
+++ gnu/usr.bin/perl/Porting/release_managers_guide.pod	21 May 2023 00:39:33 -0000
@@ -16,13 +16,13 @@ document that starts with a checklist fo
 This script is run as:
 
  perl Porting/make-rmg-checklist \
-     --version [5.x.y-RC#] > /tmp/rmg.pod
+     --version [5.X.Y-RC#] > /tmp/rmg.pod
 
 You can also pass the C<--html> flag to generate an HTML document instead of
 POD.
 
  perl Porting/make-rmg-checklist --html \
-     --version [5.x.y-RC#] > /tmp/rmg.html
+     --version [5.X.Y-RC#] > /tmp/rmg.html
 
 =head1 SYNOPSIS
 
@@ -67,13 +67,21 @@ of these release types.  If a step does 
 type of release, you will see a notation to that effect at
 the beginning of the step.
 
+This guide assumes you are working on the Perl master repository (i.e.
+L<https://github.com/Perl/perl5>) and B<not> on your own fork of the perl5
+repository. While it is possible to prepare a release on your own fork
+this guide is not written with that in mind and as a result several
+key steps are missing. If you do use your own fork then extra care
+needs to be taken when setting/pushing the tag and doing the merge
+(do B<not> use a PR).
+
 =head2 Release types
 
 =over 4
 
 =item Release Candidate (RC)
 
-A release candidate is an attempt to produce a tarball that is a close as
+A release candidate is an attempt to produce a tarball that is as close as
 possible to the final release. Indeed, unless critical faults are found
 during the RC testing, the final release will be identical to the RC
 barring a few minor fixups (updating the release date in F<perlhist.pod>,
@@ -469,7 +477,7 @@ Commit your changes:
  $ git diff
  B<review the delta carefully>
 
- $ git commit -a -m 'Bump the perl version in various places for 5.x.y'
+ $ git commit -a -m 'Bump the perl version in various places for 5.X.Y'
 
 At this point you may want to compare the commit with a previous bump to
 see if they look similar.  See commit f7cf42bb69 for an example of a
@@ -525,7 +533,7 @@ to use the last known git commit by GitH
 Review the changes to the AUTHORS file, be sure you are not adding duplicate
 entries or removing any entries, then commit your changes.
 
- $ git commit -a AUTHORS -m 'Update AUTHORS list for 5.x.y'
+ $ git commit -a AUTHORS -m 'Update AUTHORS list for 5.X.Y'
 
 =head3 Check copyright years
 
@@ -596,7 +604,7 @@ need to freeze blead during the release.
 BLEAD-FINAL, MAINT, and RC releases, since blead will already be frozen in
 those cases. Create the branch by running
 
- git checkout -b release-5.xx.yy
+ git checkout -b release-5.X.Y
 
 =head3 build a clean perl
 
@@ -616,7 +624,7 @@ For each Perl release since the previous
 for modules that have identical version numbers but different contents by
 running:
 
- $ ./perl -Ilib Porting/cmpVERSION.pl --tag=v5.X.YY
+ $ ./perl -Ilib Porting/cmpVERSION.pl --tag=v5.X.Y
 
 (This is done automatically by F<t/porting/cmp_version.t> for the previous
 release of the current branch, but not for any releases from other branches.)
@@ -731,7 +739,7 @@ Finally, commit the new version of Modul
 (unless this is for MAINT; in which case commit it to blead first, then
 cherry-pick it back).
 
- $ git commit -m 'Update Module::CoreList for 5.x.y' \
+ $ git commit -m 'Update Module::CoreList for 5.X.Y' \
      dist/Module-CoreList/Changes \
      dist/Module-CoreList/lib/Module/CoreList.pm \
      dist/Module-CoreList/lib/Module/CoreList/Utils.pm
@@ -746,7 +754,7 @@ ensure all tests are passing.
 Finalize the perldelta.  In particular, fill in the Acknowledgements
 section, which can be generated with something like:
 
- $ perl Porting/acknowledgements.pl v5.15.0..HEAD
+ $ perl Porting/acknowledgements.pl v5.LAST..HEAD
 
 Fill in the "New/Updated Modules" sections now that Module::CoreList is
 updated:
@@ -919,22 +927,22 @@ Be sure to commit any changes (if applic
 Build perl, then make sure it passes its own test suite, and installs:
 
  $ git clean -xdf
- $ ./Configure -des -Dprefix=/tmp/perl-5.x.y-pretest
+ $ ./Configure -des -Dprefix=/tmp/perl-5.X.Y-pretest
 
  # or if it's an odd-numbered version:
- $ ./Configure -des -Dusedevel -Dprefix=/tmp/perl-5.x.y-pretest
+ $ ./Configure -des -Dusedevel -Dprefix=/tmp/perl-5.X.Y-pretest
 
  $ make test install
 
-Check that the output of C</tmp/perl-5.x.y-pretest/bin/perl -v> and
-C</tmp/perl-5.x.y-pretest/bin/perl -V> are as expected,
+Check that the output of C</tmp/perl-5.X.Y-pretest/bin/perl -v> and
+C</tmp/perl-5.X.Y-pretest/bin/perl -V> are as expected,
 especially as regards version numbers, patch and/or RC levels, and @INC
 paths. Note that as they have been built from a git working
 directory, they will still identify themselves using git tags and
 commits. (Note that for an odd-numbered version, perl will install
-itself as C<perl5.x.y>). C<perl -v> will identify itself as:
+itself as C<perl5.X.Y>). C<perl -v> will identify itself as:
 
- This is perl 5, version X, subversion Y (v5.X.Y (v5.X.Z-NNN-gdeadbeef))
+ This is perl 5, version X, subversion Y (v5.X.Y (v5.XX.Z-NNN-gdeadbeef))
 
 where 5.X.Z is the latest tag, NNN the number of commits since this tag,
 and C<< deadbeef >> commit of that tag.
@@ -943,7 +951,7 @@ Then delete the temporary installation.
 
 =head3 create the release tag
 
-Create the tag identifying this release (e.g.):
+Create the I<annotated> tag identifying this release (e.g.):
 
  $ git tag v5.11.0 -m 'First release of the v5.11 series!'
 
@@ -953,6 +961,16 @@ wrong before you publish your newly-crea
 and recreate it.  Once you push your tag, we're stuck with it
 and you'll need to use a new version number for your release.
 
+Verify that your tag is annotated:
+
+ $ git show v5.X.Y
+
+The output must look similar to the following:
+
+ tag v5.X.Y
+ Tagger: Jesse Vincent <jesse@bestpractical.com>
+ Date:   Fri Oct 2 16:29:56 2009 -0400
+
 =head3 build the tarball
 
 Before you run the following, you might want to install 7-Zip (the
@@ -979,10 +997,6 @@ Create a tarball. Use the C<-s> option t
 the tarball and directory name:
 
  $ cd root/of/perl/tree
- $ make distclean           # make sure distclean works
- $ git clean -xdf           # make sure perl and git agree on files
-                         # git clean should not output anything!
- $ git status --ignored     # and there's nothing lying around
 
  $ perl Porting/makerel -x -s RC1           # for a release candidate
  $ perl Porting/makerel -x                  # for the release itself
@@ -1060,7 +1074,7 @@ which is why you should test from the ta
 
  $ ./perl -Ilib ./utils/perlivp
  # Or, perhaps:
- $ ./perl5.x.y ./utils/perlivp5.x.y
+ $ ./perl5.X.Y ./utils/perlivp5.X.Y
  ...
  All tests successful.
  $
@@ -1094,7 +1108,7 @@ Bootstrap the CPAN client on the clean i
  $ bin/cpan
 
  # Or, perhaps:
- $ bin/cpan5.xx.x
+ $ bin/cpan5.X.Y
 
 =head4 Install the Inline module with CPAN and test it
 
@@ -1182,7 +1196,13 @@ Do not proceed any further until you are
 Check your authors directory metacpan.org to confirm that your uploads have
 been successful.
 
- https://metacpan.org/author/YOUR_PAUSE_ID
+ https://metacpan.org/author/YOUR_PAUSE_ID/releases
+
+You can also check
+
+ https://metacpan.org/release/YOUR_PAUSE_ID/perl-5.X.Y
+
+which may be faster.
 
 =for checklist skip RC BLEAD-POINT
 
@@ -1232,9 +1252,9 @@ Merge the (local) release branch back in
 
  git checkout blead
  git pull
- git merge release-5.xx.yy
+ git merge release-5.X.Y
  git push
- git branch -d release-5.xx.yy
+ git branch -d release-5.X.Y
 
 Note: The merge will create a merge commit if other changes have been pushed
 to blead while you've been working on your release branch. Do NOT rebase your
@@ -1248,7 +1268,7 @@ Now that you've shipped the new perl rel
 to the Perl master repository, it's time to publish the tag you created
 earlier too (e.g.):
 
- $ git push origin tag v5.11.0
+ $ git push origin tag v5.X.Y
 
 =head3 update epigraphs.pod
 
@@ -1264,8 +1284,9 @@ why you chose that particular quote for 
 
 =head3 update the link to the latest perl on perlweb
 
-Submit a pull request to L<https://github.com/perlorg/perlweb> to update the
-link in F<docs/dev/perl5/index.html> to point to your release.
+Submit a pull request to L<https://github.com/perlorg/perlweb>.  For a dev
+release, update the link in F<docs/dev/perl5/index.html>.  For a stable
+release, update F<docs/shared/tpl/stats.html>.
 
 =for checklist skip RC
 
@@ -1425,8 +1446,8 @@ the commit tagged as the current release
 
 Assuming you're using git 1.7.x or newer:
 
- $ git checkout -b maint-5.12 v5.12.0
- $ git push origin -u maint-5.12
+ $ git checkout -b maint-5.X v5.X.0
+ $ git push origin -u maint-5.X
 
 
 =for checklist skip BLEAD-POINT MAINT RC
@@ -1555,7 +1576,7 @@ about blead's current version.
 Commit and push your changes.
 
  $ git add -u
- $ git commit -m "Prepare Module::Corelist for 5.XX.Y"
+ $ git commit -m "Prepare Module::Corelist for 5.X.Y"
  $ git push origin
 
 =back
@@ -1603,6 +1624,18 @@ Go over your notes from the release (you
 F<Porting/release_managers_guide.pod> with any fixes or information that
 will make life easier for the next release manager.
 
+=head3 For a BLEAD-POINT .0 release
+
+This is the time for the project to decide the fate and begin to
+implement the required changes for experimental/deprecated features and
+API elements for the next BLEAD-FINAL, a year away.
+
+Fortunately your job is not to do this yourself, but merely to remind
+people that this needs to get done.  Send email to
+L<p5p|mailto:perl5-porters@perl.org>.  All of L<perlexperiment>,
+L<perldeprecation>, F<mathoms.c>, L<perlapi>, and L<perlintern> need to
+be considered.
+
 =for checklist end
 
 =head1 SOURCE
@@ -1612,4 +1645,3 @@ L<http://www.xray.mpe.mpg.de/mailing-lis
 plus a whole bunch of other sources, including private correspondence.
 
 =cut
-
Index: gnu/usr.bin/perl/Porting/release_schedule.pod
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/release_schedule.pod,v
retrieving revision 1.9
diff -u -p -a -u -p -r1.9 release_schedule.pod
--- gnu/usr.bin/perl/Porting/release_schedule.pod	15 Feb 2023 01:36:14 -0000	1.9
+++ gnu/usr.bin/perl/Porting/release_schedule.pod	21 May 2023 00:39:33 -0000
@@ -11,15 +11,15 @@ release schedules for the next, current 
 of Perl.  Dates with two or more question marks will only be releases if
 deemed necessary by the Steering Council.
 
-=head2 Perl 5.34
+=head2 Perl 5.36
 
-  2021-05-20  5.34.0 ✓        Sawyer X
-  2022-03-13  5.34.1 ✓        Steve Hay
+  2022-05-27  5.36.0  ✓       Ricardo Signes
+  2022-04-23  5.36.1           Steve Hay
 
-=head2 Perl 5.32
+=head2 Perl 5.34
 
-  2020-06-20  5.32.0 ✓        Sawyer X
-  2021-01-23  5.32.1 ✓        Steve Hay
+  2021-05-20  5.34.0  ✓       Sawyer X
+  2022-03-13  5.34.1  ✓       Steve Hay
 
 =head1 DEVELOPMENT RELEASE SCHEDULE
 
@@ -35,23 +35,23 @@ When shipping a release, you should incl
 the next four releases. If a stable version of Perl is released,
 you should reset the version numbers to the next blead series.
 
-=head2 Perl 5.35
+=head2 Perl 5.37
 
-  2021-05-20  5.35.0  ✓       Ricardo Signes
-  2021-06-20  5.35.1  ✓       Max Maischein
-  2021-07-20  5.35.2  ✓       Neil Bowers
-  2021-08-20  5.35.3  ✓       Karen Etheridge
-  2021-09-20  5.35.4  ✓       Matthew Horsfall
-  2021-10-20  5.35.5  ✓       Leon Timmermans
-  2021-11-20  5.35.6  ✓       Richard Leach
-  2021-12-20  5.35.7  ✓       Neil Bowers
-  2022-01-20  5.35.8  ✓       Nicolas R
-  2022-02-20  5.35.9  ✓       Renee         Contentious changes freeze
-  2022-03-20  5.35.10 ✓       Sawyer X      User-visible changes to
-                                            correctly functioning programs
-                                            freeze
-  2022-04-20  5.35.11 ✓       Steve Hay     Full code freeze
-  2022-05-20  5.36.0          Ricardo       New perl!
+  2022-05-27  5.37.0  ✓       Ricardo Signes
+  2022-06-20  5.37.1  ✓       Matthew Horsfall
+  2022-07-20  5.37.2  ✓       Nicolas R
+  2022-08-20  5.37.3  ✓       Neil Bowers
+  2022-09-20  5.37.4  ✓       Karen Etheridge
+  2022-10-20  5.37.5  ✓       Todd Rinaldo
+  2022-11-20  5.37.6  ✓       Max Maischein
+  2022-12-20  5.37.7  ✓       Richard Leach
+  2023-01-20  5.37.8  ✓       Renée Bäcker
+  2023-02-20  5.37.9  ✓       Karen Etheridge   Contentious changes freeze
+  2023-03-20  5.37.10 ✓       Yves Orton        User-visible changes to
+                                                correctly functioning
+                                                programs freeze
+  2023-04-20  5.37.11 ✓       Steve Hay         Full code freeze
+  2023-05-20  5.38.0           Ricardo Signes   New perl!
 
 =head1 VICTIMS
 
Index: gnu/usr.bin/perl/Porting/todo.pod
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/todo.pod,v
retrieving revision 1.10
diff -u -p -a -u -p -r1.10 todo.pod
--- gnu/usr.bin/perl/Porting/todo.pod	15 Feb 2023 01:36:14 -0000	1.10
+++ gnu/usr.bin/perl/Porting/todo.pod	21 May 2023 00:39:33 -0000
@@ -486,7 +486,7 @@ Natively 64-bit systems need neither -Du
 On these systems, it might be the default compilation mode, and there
 is currently no guarantee that passing no use64bitall option to the
 Configure process will build a 32bit perl. Implementing -Duse32bit*
-options would be nice for perl 5.36.0.
+options would be nice for perl 5.36.1.
 
 =head2 Profile Perl - am I hot or not?
 
@@ -1183,7 +1183,7 @@ L<http://www.xray.mpe.mpg.de/mailing-lis
 =head1 Big projects
 
 Tasks that will get your name mentioned in the description of the "Highlights
-of 5.36.0"
+of 5.36.1"
 
 =head2 make ithreads more robust
 
Index: gnu/usr.bin/perl/ext/XS-APItest/t/xsub_h.t
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/ext/XS-APItest/t/xsub_h.t,v
retrieving revision 1.4
diff -u -p -a -u -p -r1.4 xsub_h.t
--- gnu/usr.bin/perl/ext/XS-APItest/t/xsub_h.t	15 Feb 2023 01:36:32 -0000	1.4
+++ gnu/usr.bin/perl/ext/XS-APItest/t/xsub_h.t	21 May 2023 00:39:35 -0000
@@ -117,7 +117,7 @@ foreach $XS_VERSION (undef, @versions) {
 is_deeply([XS_APIVERSION_valid("Pie")], [], "XS_APIVERSION_BOOTCHECK passes");
 is(eval {XS_APIVERSION_invalid("Pie"); 1}, undef,
    "XS_APIVERSION_BOOTCHECK croaks for an invalid version");
-like($@, qr/Perl API version v1.0.16 of Pie does not match \Q$^V\E/a,
+like($@, qr/Perl API version v1.0.16 of Pie does not match v5\.\d+\.\d+/,
      "expected error");
 
 my @xsreturn;
Index: gnu/usr.bin/perl/hints/catamount.sh
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/hints/catamount.sh,v
retrieving revision 1.12
diff -u -p -a -u -p -r1.12 catamount.sh
--- gnu/usr.bin/perl/hints/catamount.sh	15 Feb 2023 01:36:33 -0000	1.12
+++ gnu/usr.bin/perl/hints/catamount.sh	21 May 2023 00:39:35 -0000
@@ -31,11 +31,11 @@
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.36.0
+# mkdir -p /opt/perl-catamount/lib/perl5/5.36.1
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.36.0
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.36.1
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
Index: gnu/usr.bin/perl/lib/B/Op_private.pm
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/lib/B/Op_private.pm,v
retrieving revision 1.10
diff -u -p -a -u -p -r1.10 Op_private.pm
--- gnu/usr.bin/perl/lib/B/Op_private.pm	15 Feb 2023 01:36:33 -0000	1.10
+++ gnu/usr.bin/perl/lib/B/Op_private.pm	21 May 2023 00:39:35 -0000
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.036000";
+our $VERSION = "5.036001";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
Index: gnu/usr.bin/perl/plan9/config_sh.sample
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/plan9/config_sh.sample,v
retrieving revision 1.15
diff -u -p -a -u -p -r1.15 config_sh.sample
--- gnu/usr.bin/perl/plan9/config_sh.sample	15 Feb 2023 01:36:35 -0000	1.15
+++ gnu/usr.bin/perl/plan9/config_sh.sample	21 May 2023 00:39:36 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/sys/lib/perl5/5.36.0/386'
-archlibexp='/sys/lib/perl5/5.36.0/386'
+archlib='/sys/lib/perl5/5.36.1/386'
+archlibexp='/sys/lib/perl5/5.36.1/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -825,17 +825,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.36.0/386'
+installarchlib='/sys/lib/perl/5.36.1/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.36.0'
+installprivlib='/sys/lib/perl/5.36.1'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.36.0/site_perl/386'
+installsitearch='/sys/lib/perl/5.36.1/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.36.0/site_perl'
+installsitelib='/sys/lib/perl/5.36.1/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -961,8 +961,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.36.0'
-privlibexp='/sys/lib/perl/5.36.0'
+privlib='/sys/lib/perl/5.36.1'
+privlibexp='/sys/lib/perl/5.36.1'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -1027,13 +1027,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.36.0/site_perl/386'
+sitearch='/sys/lib/perl/5.36.1/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.36.0/site_perl'
-sitelib_stem='/sys/lib/perl/5.36.0/site_perl'
-sitelibexp='/sys/lib/perl/5.36.0/site_perl'
+sitelib='/sys/lib/perl/5.36.1/site_perl'
+sitelib_stem='/sys/lib/perl/5.36.1/site_perl'
+sitelibexp='/sys/lib/perl/5.36.1/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -1068,7 +1068,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='0'
+subversion='1'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1149,8 +1149,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.36.0'
-version_patchlevel_string='version 36 subversion 0'
+version='5.36.1'
+version_patchlevel_string='version 36 subversion 1'
 versiononly='undef'
 vi=''
 xlibpth=''
@@ -1165,7 +1165,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=0
+PERL_SUBVERSION=1
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/pod/perl.pod
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/pod/perl.pod,v
retrieving revision 1.38
diff -u -p -a -u -p -r1.38 perl.pod
--- gnu/usr.bin/perl/pod/perl.pod	15 Feb 2023 01:39:57 -0000	1.38
+++ gnu/usr.bin/perl/pod/perl.pod	21 May 2023 00:39:36 -0000
@@ -179,6 +179,7 @@ aux h2ph h2xs perlbug pl2pm pod2html pod
 
     perlhist		Perl history records
     perldelta		Perl changes since previous version
+    perl5360delta       Perl changes in version 5.36.0
     perl5341delta	Perl changes in version 5.34.1
     perl5340delta	Perl changes in version 5.34.0
     perl5321delta	Perl changes in version 5.32.1
